Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03047 Graphics Minor Always Mar 21, 2009, 00:17 May 9, 2010, 17:14
Tester Smitdogg View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS
Status [?] Resolved Driver taitosj.cpp
Version 0.130u1 Fixed in Version 0.138 Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 03047: elevator, elevatorb: Some graphics on the escalators shift when you ride on them
Description Some graphics at the tops and bottoms of the escalators shift when you ride on them or when an enemy does. I'm not sure when the bug first appeared but I tried it in 117 and the bug wasn't there. I attached 2 pics that show one of the shifts if you flip them back to back. The other glitch is at the bottom when you pass over it.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.122u5
Affected Sets / Systems elevator, elevatorb
Attached Files
png file icon 131u1-a.png (3,205 bytes) Mar 21, 2009, 00:17
png file icon 131u1-b.png (3,196 bytes) Mar 21, 2009, 00:17
Relationships
related to 03628ResolvedM.A.S.H. alpine: Red point on the title screen 
Notes
2
User avatar
No.04017
Smitdogg
Moderator
Mar 21, 2009, 00:19
BTW about elevatob, maybe it should get its description updated, I saw this in "the WIP"

- 29th December 2007: Guru - Elevator Action... this is a strange one, the dumped matches the 'elevatob' set in MAME, but this is definitely an original PCB, so I suspect the existing dump is really from an original PCB (4-board unprotected version) and the bootleg set is the same thing exactly.
User avatar
No.04018
Tafoid
Administrator
Mar 21, 2009, 00:45
edited on: Mar 21, 2009, 00:46
Did some regression testing. That effect first appears in 0.122u5. From whatsnew:
Complete taitosj memory map from Nicola's ancient notes. General code
clean-up. [Zsolt Vasvari]
Good eye on that Smit!